Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components API 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class SequenceIterationStatus

    java.lang.Object
      org.richfaces.component.SequenceIterationStatus

All Implemented Interfaces:
  java.io.Serializable

    public final class SequenceIterationStatus

extends java.lang.Object
implements java.io.Serializable

Author:
  Nick Belaevski
See Also:
  Serialized Form

Constructor Summary
`SequenceIterationStatus(java.lang.Integer begin, java.lang.Integer end, int index, java.lang.Integer rowCount)`

Method Summary
`java.lang.Integer` | `getBegin()`
`int` | `getCount()`
`java.lang.Object` | `getCurrent()`
`java.lang.Integer` | `getEnd()`
`int` | `getIndex()`
`java.lang.Integer` | `getRowCount()`
`java.lang.Integer` | `getStep()`
`boolean` | `isEven()`
`boolean` | `isFirst()`
`boolean` | `isLast()`
`boolean` | `isOdd()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SequenceIterationStatus

    public SequenceIterationStatus(java.lang.Integer begin,
                                   java.lang.Integer end,
                                   int index,
                                   java.lang.Integer rowCount)

Method Detail

### getBegin

    public java.lang.Integer getBegin()

### getCount

    public int getCount()

### getCurrent

    public java.lang.Object getCurrent()

### getEnd

    public java.lang.Integer getEnd()

### getIndex

    public int getIndex()

### getStep

    public java.lang.Integer getStep()

### isFirst

    public boolean isFirst()

### isLast

    public boolean isLast()

### getRowCount

    public java.lang.Integer getRowCount()

### isEven

    public boolean isEven()

### isOdd

    public boolean isOdd()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components API 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.